Exact Match search

This API retrieves results based on exact match criteria, presenting both the risk category and case details from the source.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

HTTP POST
https://prod.crimescan.ai/v1/crime_search/risk/exact/search

Function: search
Parameters : name, address, father_name, dob, case_category, type, service_type
Output Type : JSON

ParamDescriptionData TypeRequired/Optional
namename of personstringrequired
addressfull address recommendedstringoptional Address can be broken down into address, state and pincode. This is advised but not required. Example : "address":"250h, banjara hills, hyderabad,Telegana,500005"
father_namefather's name of the personstringoptional
dobdate of birth of candidatestringoptional

Example:

curl -XPOST
-H "Content-Type: application/json"
-H "Authorization: Bearer xxxxxxxxxx.xxxxxxxxxxxxx"
-d '{
"name": "Gobinda Arik",
"father_name": "Jalandhar",
"address": "House no 3, Block Dakshin Gopalnagar, South 24, Parganas",
"case_category": "",
"source": "ecourt"
}'https://prod.crimescan.ai/v1/crime_search/risk/exact/search

Response:

{
"status": 1,
"cs_id": "1a821e9c45c00086a813f"
}

If unsuccessfull:

{
"status" : 0,
"error_message" : "Authentication failed"
}

HTTP Status Codes:

HTTP CodesExplanation
200ok
400Incorrect Input, Invalid Verify Id, Search type can be entity or individual
401Authentication Failed
503Search server overload
500Server Error: The server encountered an unexpected condition or encountered an error while processing the request. Please try again later
Body Params
string
string
string
date
string
string
string
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json